FAXSETUP(8)

NAME
faxsetup - setup a machine for use with HylaFAX

SYNOPSIS
/usr/sbin/faxsetup [ -client ] [ -server ] [ -with-VAR[=value] ]

DESCRIPTION
faxsetup is an interactive shell script that does the necessary setup work to configure a client or server machine for the HylaFAX software. faxsetup must be run on every HylaFAX server machine before the software will function-if a HylaFAX server program or script is invoked before faxsetup is run, the command will abort with a message that says to run faxsetup. faxsetup may optionally be run on a HylaFAX client machine to verify the configuration of the software.

By default faxsetup checks a machine for use both as a HylaFAX client and server. Client-specific checks include:

•   the installation of client programs and data,

•   the installation of the Adobe Font Metric (AFM) information files used by the HylaFAX text formatting support.

Server-specific checks include:

•   the installation of server programs and data,

•   the existence of the UUCP lock file directory,

•   the installation of the TIFF software tools,

•   the configuration of the getty programs invoked for data and voice calls,

•   the pathnames for various system programs used by server shell scripts,

•   proper support for FIFO special files,

•   proper installation of a POSTSCRIPT RIP,

•   definition of a ``fax'' user,

•   definitions for the ``hylafax'' and ``snpp'' services,

•   startup of the HylaFAX server processes: faxq(8) and hfaxd(8),

•   definition of a ``FaxMaster'' mail alias for reporting server problems.

For server machines faxsetup also creates two files that are required by the HylaFAX command scripts. One file contains master configuration parameters and the other contains various definitions used by scripts such as faxaddmodem(8) that communicate with modems.

OPTIONS

-client
    Do client-specific consistency checks.

-server
    Do server-specific consistency checks.

-with-VAR[=value]
    Override the default definition for the configuration parameter named VAR; optionally specifying a new value (if no value is specified then ``yes'' is used). This option is especially useful to override the default settings for the POSTSCRIPT interpreter package to use (e.g. ``-with-PS=dps''), the spooling directory (``-with-DIR_SPOOL=/mumble''), the directory where the tool applications of TIFF software distribution are located (``-with-TIFFBIN=/usr/freeware''), etc. A complete list of the possible parameters can be found by looking at the contents of the faxsetup shell script; many of these configuration parameters are also described in the online documentation

-help
    Print a help message and terminate.

-quiet
    Do not print verbose messages to the terminal.

-verbose
    Print informative messages to the terminal (default).

BUGS
faxsetup does not query a modem to find out its capabilities when invoking the faxmodem program to setup a server in a send-only configuration; it may be necessary to run faxmodem manually.

FILES
/var/spool/hylafax/etc/setup.cache	master configuration parameters
/var/spool/hylafax/etc/setup.modem	modem-related configuration support

Consult hylafax-server(5) for a complete discussion of the structure and content of the spooling area.

SEE ALSO
hylafax-server(5), hylafax-config(5), faxq(8), faxgetty(8), faxmodem(8), faxconfig(8), faxsend(8)